Welcome to mirror list, hosted at ThFree Co, Russian Federation.

git.kernel.org/pub/scm/git/git.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorShawn Pearce <spearce@spearce.org>2006-07-11 10:10:19 +0400
committerJunio C Hamano <junkio@cox.net>2006-07-12 01:16:53 +0400
commit09a28eccce58d349d93280fd3ac08c5ad0eaa3c5 (patch)
tree0c33f8d8a02bd650f5f29d5c08d57d0aa5b2f2bb /git-quiltimport.sh
parente1447e38c00bdc1904458cfabb4bb3ffb678a271 (diff)
Log ref changes made by quiltimport.
When importing a quilt patch to a branch which has a reflog record the update to HEAD with a log message indicating the change was made by quiltimport and what patch caused the change. Signed-off-by: Shawn O. Pearce <spearce@spearce.org> Signed-off-by: Junio C Hamano <junkio@cox.net>
Diffstat (limited to 'git-quiltimport.sh')
-rwxr-xr-xgit-quiltimport.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/git-quiltimport.sh b/git-quiltimport.sh
index 364baff806..10135da3ac 100755
--- a/git-quiltimport.sh
+++ b/git-quiltimport.sh
@@ -112,7 +112,7 @@ for patch_name in $(cat "$QUILT_PATCHES/series" | grep -v '^#'); do
git-apply --index -C1 "$tmp_patch" &&
tree=$(git-write-tree) &&
commit=$((echo "$SUBJECT"; echo; cat "$tmp_msg") | git-commit-tree $tree -p $commit) &&
- git-update-ref HEAD $commit || exit 4
+ git-update-ref -m "quiltimport: $patch_name" HEAD $commit || exit 4
fi
done
rm -rf $tmp_dir || exit 5